Subject: Re: [bug#39635] [PATCH] website: Modify use of H1 headings

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 08 Oct 2020 22:49:17 -0400

Hello sirgazil!

sirgazil <[email-masked]> writes:

> The website was originally designed to use only one H1 element per
> page, which is/was seen as a best practice for accessibility and
> SEO. However, the value of the H1 element in all the pages of the
> website was always the alternative text of the Guix logo ("Guix"). The
> main content of a page started with a level 2 heading (H2).
>
> This change maintains the best practice of using only one H1 element
> per page, but gives a less important level to the Guix logo (it
> becomes H2) and uses H1 as the heading for the main content of
> pages. This means, for example, that the H1 of the download page is
> "Download", the H1 of the help page is "Help", the H1 of a blog post
> is its title, and so on.
>
> The changes were tested in the following browsers (without assistive
> technologies):
>
> * IceCat 68.4.1esr
> * Epiphany 3.32.5 (WebKitGTK+ 2.26.3)
> * Lynx 2.8.9rel.1

Thanks for the patch!  It makes sense.  Unfortunately it doesn't apply
with 'git am' :-/.  Could you rebase it on the current master branch of
guix-artwork?

Thank you,

Maxim